aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRob Savoye <rob.savoye@linaro.org>2016-05-10 18:34:57 -0600
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2016-05-16 10:46:31 +0000
commitdfa80a09e0fd2bb664f6b9989a0205f80a9c4045 (patch)
tree35e40ffb825fb5380cd7ae9569571017e95410e1
parent297bd05ca3e3282de306b79c4a4d9a7be16ac126 (diff)
Process extraconfig after all other files. Fix bug #2215
Change-Id: If6f4069e3c2f98b7ba6a2e8210c81b91368ed58f
-rwxr-xr-xabe.sh4
-rwxr-xr-xlib/configure.sh21
2 files changed, 13 insertions, 12 deletions
diff --git a/abe.sh b/abe.sh
index 5cef1327..09db0d7b 100755
--- a/abe.sh
+++ b/abe.sh
@@ -787,8 +787,8 @@ while test $# -gt 0; do
;;
--extraconfig|-extraconfig)
check_directive $1 extraconfig extraconfig $2
- extraconfig_tool=`echo $2 | sed 's/\(.*\)=.*/\1/'`
- extraconfig_val=`echo $2 | sed 's/.*=\(.*\)/\1/'`
+ extraconfig_tool="`echo $2 | cut -d '=' -f 1`"
+ extraconfig_val="`echo $2 | cut -d '=' -f 2`"
extraconfig[${extraconfig_tool}]="${extraconfig_val}"
shift
;;
diff --git a/lib/configure.sh b/lib/configure.sh
index 26a9aa6a..bfaa9f3d 100755
--- a/lib/configure.sh
+++ b/lib/configure.sh
@@ -74,16 +74,6 @@ configure_build()
local toolname="${component}"
fi
- local this_extraconfig="${extraconfig[${toolname}]}"
- if test -n "${this_extraconfig}"; then
- if test -e "${this_extraconfig}"; then
- notice "Sourcing extra config: ${this_extraconfig}"
- . "${this_extraconfig}"
- else
- error "Warning: extraconfig file does not exist: ${this_extraconfig}"
- exit 1
- fi
- fi
local opts="`get_component_configure ${component} $2`"
# See if this component depends on other components. They then need to be
@@ -215,6 +205,17 @@ configure_build()
;;
esac
+ local this_extraconfig="${extraconfig[${component}]}"
+ if test -n "${this_extraconfig}"; then
+ if test -e "${this_extraconfig}"; then
+ notice "Sourcing extra config: ${this_extraconfig}"
+ . "${this_extraconfig}"
+ else
+ error "Warning: extraconfig file does not exist: ${this_extraconfig}"
+ exit 1
+ fi
+ fi
+
if test -e ${builddir}/config.status -a x"${component}" != x"gcc" -a x"${force}" = xno; then
warning "${buildir} already configured!"
else